Name:           monit
Version:        5.6
Release:        108.2
Summary:        Manages and monitors processes, files, directories and devices

Group:          Applications/Internet
License:        GPLv3+
URL:            http://www.tildeslash.com/monit
Source0:        http://www.tildeslash.com/monit/dist/monit-%{version}.tar.gz
Source1:        monit-sysv-initscript
Source2:        monit.logrotate
Source3:	create_monit_ssl.sh
Patch0:         monit-default-config-name.patch
Patch1:         monit-no-startup-msg.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  flex
BuildRequires:  openssl-devel
BuildRequires:  pam-devel
BuildRequires:  byacc
BuildRequires:  gcc, make
BuildRequires:  pam-devel

%description
monit is a utility for managing and monitoring, processes, files, directories
and devices on a UNIX system. Monit conducts automatic maintenance and repair
and can execute meaningful causal actions in error situations.

%prep
%setup -q
#%patch0 -b .confname
#%patch1 -b .nomsg

%build
%configure --disable-static --enable-optimized
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -p -D -m0755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/monit
install -p -D -m0600 monitrc $RPM_BUILD_ROOT%{_sysconfdir}/monit.conf
install -p -D -m0755 monit $RPM_BUILD_ROOT%{_bindir}/monit
install -p -D -m0755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/create_monit_ssl

# Log file & logrotate config
install -p -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/monit
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log
install -m0600 /dev/null $RPM_BUILD_ROOT%{_localstatedir}/log/monit

# Let's include some good defaults
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/monit.d
echo "
# set daemon mode timeout to 1 minute
set daemon 60
# Include all files from %{_sysconfdir}/monit.d/
include %{_sysconfdir}/monit.d/*" >> $RPM_BUILD_ROOT%{_sysconfdir}/monit.conf

echo "# log to monit.log
set logfile /var/log/monit
" > $RPM_BUILD_ROOT%{_sysconfdir}/monit.d/logging


%clean
rm -rf $RPM_BUILD_ROOT

%post
# This adds the proper /etc/rc*.d links for the script
/sbin/chkconfig --add monit

%preun
if [ $1 = 0 ]; then
        /sbin/service monit stop >/dev/null 2>&1
        /sbin/chkconfig --del monit
fi

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service monit condrestart >/dev/null 2>&1 || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING README 
%config(noreplace) %{_sysconfdir}/monit.conf
%config(noreplace) %{_sysconfdir}/monit.d/logging
%config(noreplace) %{_sysconfdir}/logrotate.d/monit
%ghost %{_localstatedir}/log/monit
%{_sysconfdir}/monit.d/
%{_initrddir}/monit
%{_bindir}/%{name}
%{_bindir}/create_monit_ssl
%{_mandir}/man1/monit.1*

%changelog
